### Function

# Fwupd variant_get_strv

since: 2.1.4

#### Declaration [src]

    const gchar**
    fwupd_variant_get_strv (
      GVariant* value
    )

#### Description [src]

Gets an array of strings from a variant.

Available since: 2.1.4

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `utf8`

An array of constant strings.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.